function y = trv_1(h,T,y0)

N = round(T/h);
% or with %%%%%%%%%%%%%%%%%%%%%%%%%
%  N = ceil(T/h)
%  h = T/N
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%preallocation
y = zeros(1,N+1);

% initial value y0
y(1) = y0;

%define the functions f, Df, DDf
f=@(y) 2*(y-y^2);
Df=@(y) 2*(1-2*y);
DDf=@(y) -4;

% for-loop for the Taylor series method
for k=1:N
    y(k+1) = y(k) + h*f(y(k));
end

%save approximated solution
y=y(end);

end